package com.tptj.demo.hg.connection;

import com.fr.data.impl.Connection;
import com.fr.design.beans.BasicBeanPane;
import com.fr.design.fun.impl.AbstractConnectionProvider;
import com.tptj.demo.hg.connection.conn.DemoConnection;
import com.tptj.demo.hg.connection.conn.DemoConnectionPane;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-03-31
 **/
public class Demo extends AbstractConnectionProvider {
    @Override
    public String nameForConnection() {
        return "Demo Conn";
    }

    @Override
    public String iconPathForConnection() {
        return "com/tptj/demo/hg/connection/images/icon.png";
    }

    @Override
    public Class<? extends Connection> classForConnection() {
        return DemoConnection.class;
    }

    @Override
    public Class<? extends BasicBeanPane<? extends Connection>> appearanceForConnection() {
        return DemoConnectionPane.class;
    }
}
