package com.tptj.demo.hg.connection;

import com.fr.base.TableData;
import com.fr.design.data.tabledata.tabledatapane.AbstractTableDataPane;
import com.fr.design.fun.impl.AbstractTableDataDefineProvider;
import com.tptj.demo.hg.connection.data.DemoData;
import com.tptj.demo.hg.connection.data.DemoDataPane;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-03-31
 **/
public class DemoTableDataDefine extends AbstractTableDataDefineProvider {
    @Override
    public Class<? extends TableData> classForTableData() {
        return DemoData.class;
    }

    @Override
    public Class<? extends TableData> classForInitTableData() {
        return null;
    }

    @Override
    public Class<? extends AbstractTableDataPane> appearanceForTableData() {
        return DemoDataPane.class;
    }

    @Override
    public String nameForTableData() {
        return "Demo Conn Data";
    }

    @Override
    public String prefixForTableData() {
        return "dcd";
    }

    @Override
    public String iconPathForTableData() {
        return "com/tptj/demo/hg/connection/images/icon.png";
    }
}
